d3.csv('https://gist.githubusercontent.com/yamunayennem/8b358e9cf06e45d468ca69547cc11ab9/raw/67c18c53e7f57d31fac9db5bc33bbac42c05d2ed/Palmer%2520Penguins%2520Dataset', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  var colors = []
  var i = 0
    for (i=0; i < unpack(rows, 'region').length; i++) {
      if (unpack(rows, 'region')[i] == "Adelie") {
        colors.push(0)
      } else if (unpack(rows, 'region')[i] == "Chinstrap") {
        colors.push(0.5)
      } else if (unpack(rows, 'region')[i] == "Gentoo") {
        colors.push(1)
      } 
    }

    var pl_colorscale=[
               ['#DC143C'],
               ['#8B008B'],
               ['#191970'],
               ['#008080']
      ]
var trace1 = {
	x:unpack(rows, 'body_mass_g'), 
  y: unpack(rows, 'bill_length_mm'), 
  z: unpack(rows, 'flipper_length_mm'),
	mode: 'markers',
      marker: {
        color: colors,
        colorscale:pl_colorscale,
        size: 12,
        line: {
          color: 'white',
          width: 0.5
        }
      },
	type: 'scatter3d'
};


var data = [trace1];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  },
	scene: {
		xaxis:{title: 'age',backgroundcolor: "#DB7093",
	 gridcolor: "rgb(255, 255, 255)",
	 showbackground: true,
	 zerolinecolor: "rgb(255, 255, 255)"},
		yaxis:{title: 'bmi',
     backgroundcolor: "#B0E0E6",
     gridcolor: "rgb(255, 255, 255)",
     showbackground: true,
     zerolinecolor: "rgb(255, 255, 255)"},
		zaxis:{title: 'charges',
     backgroundcolor: "#DDA0DD",
     gridcolor: "rgb(255, 255, 255)",
     showbackground: true,
     zerolinecolor: "rgb(255, 255, 255)"},
		}        
  };
Plotly.newPlot('myDiv', data, layout);
});
